Bug 870804 - thinkfan rpm uses unknown macros in scripts
Summary: thinkfan rpm uses unknown macros in scripts
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: thinkfan
Version: 17
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matt Spaulding
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-10-28 20:55 UTC by Alexandre Silva Lopes
Modified: 2012-12-20 15:22 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-20 15:22:04 UTC
Type: Bug


Attachments (Terms of Use)

Description Alexandre Silva Lopes 2012-10-28 20:55:38 UTC
Description of problem: Installing thinkfan using yum gives "Non-fatal POSTIN scriptlet failure in rpm package" message


Version-Release number of selected component (if applicable): 0.8.1-2.fc17


How reproducible: always


Steps to Reproduce:
1. yum install thinkfan
  
Actual results: thinkfan is installed but gives error message


Expected results: thinkfan is installed without any error messages


Additional info: rpm -q --scripts thinkfan shows instructions like %systemd_post, %systemd_preun and %systemd_postun_with_restart which seem macros that are defined in a more recent version of rpm? Definitely not in Fedora 17.

Comment 1 Fedora Update System 2012-10-29 03:32:12 UTC
thinkfan-0.8.1-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/thinkfan-0.8.1-3.fc17

Comment 2 Fedora Update System 2012-10-30 03:51:46 UTC
Package thinkfan-0.8.1-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing thinkfan-0.8.1-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-17208/thinkfan-0.8.1-3.fc17
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2012-12-20 15:22:07 UTC
thinkfan-0.8.1-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.